<Project Sdk="Microsoft.NET.Sdk.Web">

	<PropertyGroup>
		<HotReloadAutoRestart>true</HotReloadAutoRestart>
	</PropertyGroup>

	<ItemGroup>
	  <None Remove="nul" />
	</ItemGroup>

	<ItemGroup>
		<None Include=".github\copilot-instructions.md" />
	</ItemGroup>

	<ItemGroup>
		<PackageReference Include="Microsoft.AspNetCore.Identity.EntityFrameworkCore" />
		<PackageReference Include="Microsoft.AspNetCore.Identity.UI" />
		<PackageReference Include="Microsoft.EntityFrameworkCore.Design">
			<IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
			<PrivateAssets>all</PrivateAssets>
		</PackageReference>
		<PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" />
		<PackageReference Include="Microsoft.EntityFrameworkCore.Tools">
			<IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
			<PrivateAssets>all</PrivateAssets>
		</PackageReference>
		<PackageReference Include="Microsoft.Extensions.Hosting.WindowsServices" />
		<PackageReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Design" />
		<PackageReference Include="MimeKit" />
		<PackageReference Include="Serilog.AspNetCore" />
		<PackageReference Include="Serilog.Sinks.File" />
		<PackageReference Include="System.Management" />
	</ItemGroup>

	<ItemGroup>
		<ProjectReference Include="..\Application\Application.csproj" />
		<ProjectReference Include="..\Infrastructure\Infrastructure.csproj" />
	</ItemGroup>

	<ItemGroup>
		<Folder Include="wwwroot\uploads\basic\" />
		<Folder Include="wwwroot\uploads\banner\" />
		<Folder Include="wwwroot\uploads\thumb\" />
	</ItemGroup>

</Project>
